<?php

if ( !class_exists( 'troubleshooterController' ) ) {

class troubleshooterController extends pwsController_1_0 {
	
	public function __construct( $pluginSettings ) {

		$this->config = $pluginSettings;

		$this->stylesheets = Array(
			'troubleshooter_styles' => 'troubleshooter_styles.css'
		);

		$this->javascripts = Array(
			'troubleshooter_js' => 'troubleshooter_script.js'
		);
		
		extract( $pluginSettings['constants'] );

		$title = ucfirst( $plugin_menu_display_name );
		$this->menus = Array(
			Array(
				'type' => 'sub',
				'settingspage' => FALSE,
				'pageTitle' => $title,
				'menuTitle' => 'Troubleshooter',
				'capability' => 'administrator',
				'menuSlug' => 'main',
				'iconUrl' => '',
				'position' => '100'
			)
            //disable paypal link
            /*,Array(
				'type' => 'detached',
				'settingspage' => FALSE,
				'pageTitle' => $title,
				'menuTitle' => 'Troubleshooter',
				'capability' => 'administrator',
				'menuSlug' => 'paypal',
				'iconUrl' => '',
				'position' => '100'
			)*/
		);

		parent::__construct( $pluginSettings );
	}

	public function main( ) {

		global $wpdb;
		$troubles = Array(
			'paypal'
		);
		
		$transaction_table = $this->config['constants']['transaction_log_table'];

		$sql = 	"
			SELECT
				*
			FROM
				{$transaction_table}
			ORDER BY
				`id`
			";

		$results = $wpdb->get_results( $sql, ARRAY_A );

		if ( is_array( $results ) ) {
			foreach( $results as $r ) {
				extract( $r );
				$sent = unserialize( $sent );
				$received = unserialize( $received );
				$eshopoptions = unserialize( $eshopoptions );

				$text .= print_r( $eshopoptions, TRUE );
				$text .= print_r( $sent, TRUE );
				$text .= print_r( $received, TRUE );
				$text .= "\r\n\r\n-----\r\n\r\n";

			}

			$href = $this->config['constants']['plugin_url'] . "/download.php?file=$filename";

		}		
		
		$this->view['text'] = $text;
		$this->view['href'] = $href;

	}

	public function paypal( ) {

		if ( isset( $_POST ) ) {
			print_r( $_POST );
		}

	}

}

}

?>
